import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ContainerObjectCopyFormComponent } from './container-object-copy-form.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';

describe('ContainerObjectCopyFormComponent', () => {
  let component: ContainerObjectCopyFormComponent;
  let fixture: ComponentFixture<ContainerObjectCopyFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ContainerObjectCopyFormComponent],
      imports: [
        RouterTestingModule, HttpClientTestingModule, ReactiveFormsModule, MatSnackBarModule,
        MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ContainerObjectCopyFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
